Skip to main content
GET
/
v1
/
admin
/
audit
List audit records
curl --request GET \
  --url https://api.withsplendor.com/v1/admin/audit \
  --header 'Authorization: Bearer <token>' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>'
{
  "records": [
    {
      "action": "search",
      "audit_id": 1,
      "ip_address": "203.0.113.5",
      "request_summary": "{\"datasets\": [\"app-logs\"]}",
      "response_summary": "{\"returned\": 20}",
      "tenant_id": "acme",
      "timestamp": "2026-01-15T09:30:00Z",
      "user_id": "user_01H8Z3"
    }
  ]
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Query Parameters

tenant_id
string
required
Minimum string length: 1
action
string | null
Minimum string length: 1
start_time
string<date-time> | null
end_time
string<date-time> | null
limit
integer
default:100
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

records
AuditLogItem · object[]
required